



CREATE PROCEDURE DBO.DeleteMISBudgetValue @EndDate DateTime, @StartDate DateTime, @PlacementTypeNumber smallint, @SegmentNumber integer, @PointOfSaleNumber integer, @RoomTypeNumber integer AS
SET NOCOUNT ON

Declare @FormatedStartDate Char (10)
Declare @FormatedEndDate Char (10)
Set @FormatedStartDate =  Convert (Char (10), @StartDate, 112)
Set @FormatedEndDate =  Convert (Char (10), @EndDate, 112)


  Delete from MIS_BUDGET_TABLE_NEW where
  DateStamp <= @FormatedStartDate and DateStamp >= @FormatedEndDate and
  PlacementType = @PlacementTypeNumber and SegmentNumber = @SegmentNumber and
  PointOfSaleNumber =@PointOfSaleNumber and RoomTypeNumber = @RoomTypeNumber

